Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore
Class GenericConstraint

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.GenericConstraint

All Implemented Interfaces:
  Annotated, java.io.Serializable

    public class GenericConstraint

extends AbstractAnnotatedObject

Generic constraint that is part of the grammar. Used in grammar's genericConstraints map. Either generated automatically (no form, has example) or explicitly (has form, may not have example).

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `example`
`protected java.lang.String` | `form`
`protected Symbol` | `relation`
`protected Symbol` | `type`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`GenericConstraint(Constraint constraint)`
`GenericConstraint(java.lang.String type, java.lang.String relation)`
`GenericConstraint(Symbol type, Symbol relation)`

Method Summary
`java.lang.Object` | `getExample()`
`java.lang.String` | `getForm()`
`Symbol` | `getRelation()`
`Symbol` | `getType()`
`boolean` | `hasExample()`
`boolean` | `hasForm()`
`void` | `setExample(java.lang.Object example)`
`void` | `setForm(java.lang.String form)`
`void` | `setRelation(Symbol relation)`
`void` | `setType(Symbol type)`
`java.lang.String` | `toString()`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected Symbol type

### relation

    protected Symbol relation

### form

    protected java.lang.String form

### example

    protected java.lang.Object example

Constructor Detail

### GenericConstraint

    public GenericConstraint(Symbol type,
                             Symbol relation)

### GenericConstraint

    public GenericConstraint(Constraint constraint)

### GenericConstraint

    public GenericConstraint(java.lang.String type,
                             java.lang.String relation)

Method Detail

### getType

    public Symbol getType()

### setType

    public void setType(Symbol type)

### getRelation

    public Symbol getRelation()

### setRelation

    public void setRelation(Symbol relation)

### getForm

    public java.lang.String getForm()

### setForm

    public void setForm(java.lang.String form)

### getExample

    public java.lang.Object getExample()

### setExample

    public void setExample(java.lang.Object example)

### hasForm

    public boolean hasForm()

### hasExample

    public boolean hasExample()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD